This file was automatically generated by json-schema-to-typescript. DO NOT MODIFY IT BY HAND. Instead, modify the source JSONSchema file, and run json-schema-to-typescript to regenerate this file.

### Hierarchy

- IOrderChangeEventData

## Index

### Properties

- eventType
- order
- reason

## Properties

### eventType

eventType: "canceled" | "created" | "expired" | "filled" | "partially-filled" | "pending-cancellation" | "pending-filled" | "pending-partially-filled" | "removed"

- Defined in aqueduct.ts:996

### order

order: Order

- Defined in aqueduct.ts:995

### Optional reason

reason: undefined | string

- Defined in aqueduct.ts:997

Generated using TypeDoc